#ifndef __KEY_H__
#define __KEY_H__

#define CUI_KEY_ENTER	0x0d /* '\r' */
#define CUI_KEY_BS	0x08 /* '\b' */
#define CUI_KEY_CTRL(c)	(0x01+(c)-'A')
#define CUI_KEY_UP	CUI_KEY_CTRL('P')
#define CUI_KEY_DOWN	CUI_KEY_CTRL('N')
#define CUI_KEY_LEFT	CUI_KEY_CTRL('B')
#define CUI_KEY_RIGHT	CUI_KEY_CTRL('F')
#define CUI_KEY_ESC	0x1b

void cui_key_enter(void);
void cui_key_exit(void);
int cui_key_get(void);
int cui_key_get2(void);

#endif
