#ifndef __ESC_H__
#define __ESC_H__

/* attr */
#define CUI_ESC_NORMAL		0
#define CUI_ESC_ULINE		4
#define CUI_ESC_REVERSE		7
#define CUI_ESC_ULINE_OFF	24
#define CUI_ESC_REVERSE_OFF	27

/* exopt */
#define CUI_ESC_CURSOR_ONOFF		25
#define CUI_ESC_SCREEN_SAVE_LOAD	47

extern int cui_esc_cnt;

void cui_esc(char *s);
void cui_esc_cls(void);
void cui_esc_loc(int x, int y);
void cui_esc_attr(int attr);
void cui_esc_cursor_pos_save(void);
void cui_esc_cursor_pos_load(void);
void cui_esc_exopt(int n, int onoff);
void cui_esc_cursor(int onoff);
void cui_esc_enter(void);
void cui_esc_exit(void);

#endif
